Devuan bug report logs - #480
Firefox - no sound

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: Michaela Merz <mischmerz@googlemail.com>

Date: Tue, 2 Jun 2020 23:48:02 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 318, 367, 375, 378, 403, 466, 473

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#480; Package firefox (direct download). (Tue, 02 Jun 2020 23:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michaela Merz <mischmerz@googlemail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org.

Your message had a Version: pseudo-header with an invalid package version:

76-0-1 (64bit)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 02 Jun 2020 23:48:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Michaela Merz <mischmerz@googlemail.com>
To: submit@bugs.devuan.org
Subject: Firefox - no sound
Date: Tue, 2 Jun 2020 18:33:50 -0500
[Message part 1 (text/plain, inline)]
Package: Firefox (direct download)
Version: 76-0-1 (64bit)

No sound from Firefox if downloaded from web-site. Sound in installed
package firefox, version firefox-esr, 68.8.0esr-1 works fine. Sound from
Google-Chrome (downloaded from Google also works fine). If I start
pulseaudio manually from terminal, sound works in downloaded Firefox.
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#480; Package firefox (direct download). (Wed, 03 Jun 2020 09:33:05 GMT) (full text, mbox, link).


Message #8 received at 480@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>, 480@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 10:17:19 +0100
Control: tags -1 moreinfo

Michaela,

On Tue, Jun 02, 2020 at 06:33:50PM -0500, Michaela Merz wrote:
>    Package: Firefox (direct download)
>    Version: 76-0-1 (64bit)
>
>    No sound from Firefox if downloaded from web-site. Sound in installed
>    package firefox, version firefox-esr, 68.8.0esr-1 works fine. Sound
>    from Google-Chrome (downloaded from Google also works fine). If I start
>    pulseaudio manually from terminal, sound works in downloaded Firefox.

I suspect this is that you need to enable pulseaudio autospawn as documented in
the Release Notes[1].

Please confirm if that resolves your issue.

Thanks

Mark

[1]  http://files.devuan.org/devuan_beowulf/Release_notes.txt


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to 480-submit@bugs.devuan.org. (Wed, 03 Jun 2020 09:33:09 GMT) (full text, mbox, link).


bug reassigned from package 'firefox (direct download)' to 'pulseaudio'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Marked as found in versions 12.2-4+deb10u1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Added tag(s) beowulf and patch. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:05 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:08 GMT) (full text, mbox, link).


Notification sent to Michaela Merz <mischmerz@googlemail.com>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:10 GMT) (full text, mbox, link).


Message #27 received at 480-close@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>
Cc: control@bugs.devuan.org, 480-close@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 19:44:01 +0100
reassign 480 pulseaudio
forcemerge 276 480


On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:12 GMT) (full text, mbox, link).


Notification sent to José Marinho <jose.marinho@mailfence.com>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:14 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:16 GMT) (full text, mbox, link).


Notification sent to Gour <gour@atmarama.com>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:18 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:20 GMT) (full text, mbox, link).


Notification sent to "Dr. Jan Hauss" <devuan@drhauss.de>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:24 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:27 GMT) (full text, mbox, link).


Notification sent to Tito <farmatito@tiscali.it>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:30 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:33 GMT) (full text, mbox, link).


Notification sent to Ludovic Bellière <belliere.ludovic@proximus.be>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:35 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:37 GMT) (full text, mbox, link).


Notification sent to Ian Dupuy <iandupuy1998@gmail.com>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:40 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:42 GMT) (full text, mbox, link).


Notification sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:44 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 03 Jun 2020 19:03:46 GMT) (full text, mbox, link).


Notification sent to Paul Beardsell <devuan.org@beardsell.com>:
bug acknowledged by developer. (Wed, 03 Jun 2020 19:03:50 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Aug 4 14:26:56 2020;